# $Revision: 1.6.2.1 $, $Date: 2007/03/29 12:05:33 $
#
# Conditional build:
# _without_dist_kernel          without distribution kernel
#
%define		_orig_name	e1000
%define 	_kernelsrcdir	/usr/src/linux-2.4

%{!?_without_dist_kernel:%define	_mod_name %{_orig_name}_intel }
%{?_without_dist_kernel:%define		_mod_name %{_orig_name} }

Summary:	Intel(R) PRO/1000 driver for Linux
Summary(pl):	Sterownik do karty Intel(R) PRO/1000
Name:		kernel24-net-%{_orig_name}
Version:	7.4.35
%define	_rel	1
Release:	%{_rel}@%{_kernel_ver_str}
License:	BSD
Vendor:		Intel Corporation
Group:		Base/Kernel
Source0:	ftp://aiedownload.intel.com/df-support/9180/eng/%{_orig_name}-%{version}.tar.gz
# Source0-md5:	cac540f221e3d9589dffc679c490a6a2
%{!?_without_dist_kernel:BuildRequires:	kernel-headers >= 2.4.20 }
BuildRequires:	%{kgcc_package}
BuildRequires:	rpmbuild(macros) >= 1.118
URL:		http://support.intel.com/support/network/adapter/pro100/
%{!?_without_dist_kernel:%requires_releq_kernel_up}
Requires(post,postun):	/sbin/depmod
Provides:	kernel24(e1000)
Obsoletes:	e1000
Obsoletes:	linux-net-e1000
ExclusiveArch:	%{ix86} sparc sparc64 alpha ppc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains the Linux driver for the Intel(R) PRO/1000
family of 10/100/1000 Ethernet network adapters.

%description -l pl
Ten pakiet zawiera sterownik dla Linuksa do kart sieciowych
10/100/1000Mbit z rodziny Intel(R) PRO/1000.

%package -n kernel24-smp-net-%{_orig_name}
Summary:	Intel(R) PRO/1000 driver for Linux SMP
Summary(pl):	Sterownik do karty Intel(R) PRO/1000
Release:	%{_rel}@%{_kernel_ver_str}
Group:		Base/Kernel
%{!?_without_dist_kernel:%requires_releq_kernel_smp}
Requires(post,postun):	/sbin/depmod
Provides:	kernel24(e1000)
Obsoletes:	e1000
Obsoletes:	linux-net-e1000

%description -n kernel24-smp-net-%{_orig_name}
This package contains the Linux SMP driver for the Intel(R) PRO/1000
family of 10/100/1000 Ethernet network adapters.

%description -n kernel24-smp-net-%{_orig_name} -l pl
Ten pakiet zawiera sterownik dla Linuksa SMP do kart sieciowych
10/100/1000Mbit z rodziny Intel(R) PRO/1000.

%prep
%setup -q -n %{_orig_name}-%{version}

%build
%ifarch %{ix86}
%{__make} -C src K_VERSION=2.4 SMP=1 CC="%{kgcc} -DCONFIG_X86_LOCAL_APIC -DSTB_WA -D__KERNEL_SMP=1 -D__SMP__" KSRC=%{_kernelsrcdir}
%endif
%ifarch ppc
%{__make} -C src K_VERSION=2.4 SMP=1 CC="%{kgcc} -msoft-float  -DSTB_WA -D__KERNEL_SMP=1 -D__SMP__" KSRC=%{_kernelsrcdir}
%endif
%ifnarch %{ix86} ppc
%{__make} -C src K_VERSION=2.4 SMP=1 CC="%{kgcc} -DSTB_WA -D__KERNEL_SMP=1 -D__SMP__" KSRC=%{_kernelsrcdir}
%endif
mv -f src/%{_orig_name}.o src/%{_orig_name}-smp.o

%{__make} -C src clean KSRC=%{_kernelsrcdir}

%ifarch ppc
%{__make} -C src K_VERSION=2.4 CC="%{kgcc} -msoft-float -DSTB_WA" KSRC=%{_kernelsrcdir}
%else
%{__make} -C src K_VERSION=2.4 CC="%{kgcc} -DSTB_WA" KSRC=%{_kernelsrcdir}
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}smp/kernel/drivers/net/misc
install -d $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/kernel/drivers/net/misc
install src/%{_orig_name}-smp.o $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}smp/kernel/drivers/net/misc/%{_mod_name}.o
install src/%{_orig_name}.o $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/kernel/drivers/net/misc/%{_mod_name}.o

%clean
rm -rf $RPM_BUILD_ROOT

%post
%depmod %{_kernel_ver}

%postun
%depmod %{_kernel_ver}

%post	-n kernel24-smp-net-%{_orig_name}
%depmod %{_kernel_ver}smp

%postun -n kernel24-smp-net-%{_orig_name}
%depmod %{_kernel_ver}smp

%files
%defattr(644,root,root,755)
%doc %{_orig_name}.7 README ldistrib.txt
/lib/modules/%{_kernel_ver}/kernel/drivers/net/misc/*

%files -n kernel24-smp-net-%{_orig_name}
%defattr(644,root,root,755)
%doc %{_orig_name}.7 README ldistrib.txt
/lib/modules/%{_kernel_ver}smp/kernel/drivers/net/misc/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kernel24-net-e1000.spec,v $
Revision 1.6.2.1  2007/03/29 12:05:33  hawk
- updated to 7.4.35

Revision 1.6  2006/09/05 09:31:17  hawk
- release 5

Revision 1.5  2006/04/11 13:28:59  hawk
- ExclusiveArch - we don't have 2.4 kernel on amd64
- release 4

Revision 1.4  2006/04/06 16:36:02  hawk
- release 3

Revision 1.3  2006/04/05 22:23:24  hawk
- release 2

Revision 1.2  2006/04/03 08:49:15  hawk
- updated to 7.0.33
- updated source URL

Revision 1.1  2006/02/09 11:31:52  marcus
- intel drivers for PRO/1000 for kernel 2.4

Revision 1.23  2003/12/07 18:33:34  marcus
- fix bcond

Revision 1.22  2003/12/07 14:48:18  marcus
- fixes for ppc and kernel 2.4
- changed module name to e1000_intel to avoid conflicts
  with e1000 module from kernel

Revision 1.21  2003/11/15 21:45:17  marcus
- updated to 5.2.20

Revision 1.20  2003/08/12 22:32:48  ankry
- cosmetics

Revision 1.19  2003/07/10 13:25:41  trojan
- added using depmod macro

Revision 1.18  2003/05/26 16:25:19  malekith
- massive attack: adding Source-md5

Revision 1.17  2003/05/25 05:49:27  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.16  2003/05/16 08:33:42  trojan
- fixed depmod in %%post and %%postun when build with _without_dist_kernel

Revision 1.15  2003/05/14 14:42:44  qboosh
- added depmod options so modules can be installed for kernel other than running

Revision 1.14  2003/03/17 10:43:17  marcus
- X86_LOCAL_APIC is only on ix86

Revision 1.13  2002/12/03 01:00:49  blues
- this is only for 2.4 kernels

Revision 1.12  2002/12/03 00:53:57  blues
- 4.4.12 - the same version from vanilla 2.4 kernel is simply big CRAP

Revision 1.11  2002/11/17 18:11:48  kloczek
- release 3: rebuild against kernel 2.2.22-6.

Revision 1.10  2002/11/02 11:23:35  ankry
- fixed bogus release: really rel. 2

Revision 1.9  2002/09/30 13:34:48  kloczek
- release 2: rebuild against kernel 2.2.22.

Revision 1.8  2002/08/26 11:58:50  marcus
a931601980da5b56  SOURCES/e1000-4.3.15.tar.gz
updated to 4.3.15
removed outdated

Revision 1.7  2002/08/21 10:52:03  qboosh
- use _kernelsrcdir macro

Revision 1.6  2002/08/20 12:13:22  blues
- 4.3.2 - STBR

Revision 1.5  2002/08/19 18:56:08  marcus
- fix for make clean

Revision 1.4  2002/08/19 18:49:24  marcus
- dirty fix for Intel's Makefile

Revision 1.3  2002/08/19 17:35:16  marcus
- fixed KSRC

Revision 1.2  2002/04/26 10:40:35  blues
- forgot to adapterize...
